"use strict";
var DataStructures_1 = require("../utils/DataStructures");
var CategoryService_1 = require("../log/category/CategoryService");
var LoggerOptions_1 = require("../log/LoggerOptions");
var CategoryControlImpl = (function () {
    function CategoryControlImpl() {
    }
    CategoryControlImpl.prototype.help = function () {
        /* tslint:disable:no-console */
        console.log("help");
        /* tslint:enable:no-console */
    };
    CategoryControlImpl.prototype.example = function () {
        //
    };
    CategoryControlImpl.prototype.showSettings = function () {
        var result = new DataStructures_1.StringBuilder();
        var service = CategoryService_1.CategoryServiceFactory.getRuntimeSettings();
        var count = 1;
        service.getRootCategories().forEach(function (category) {
            count = CategoryControlImpl._processCategory(service, category, result, count, 0);
        });
        /* tslint:disable:no-console */
        console.log(result.toString());
        /* tslint:enable:no-console */
    };
    CategoryControlImpl._processCategory = function (service, category, result, count, indent) {
        var settings = service.getCategorySettings(category);
        if (settings !== null) {
            result.append("  " + count + ": ");
            if (indent > 0) {
                for (var i = 0; i < indent; i++) {
                    result.append("  ");
                }
            }
            result.append(category.name + " (" + LoggerOptions_1.LogLevel[settings.logLevel].toString() + "@" + LoggerOptions_1.LoggerType[settings.loggerType].toString() + ")\n");
            count++;
            if (category.children.length > 0) {
                category.children.forEach(function (child) {
                    count = CategoryControlImpl._processCategory(service, child, result, count, indent + 1);
                });
            }
        }
        return count;
    };
    return CategoryControlImpl;
}());
exports.CategoryControlImpl = CategoryControlImpl;
//# sourceMappingURL=CategoryControl.js.map